Page MenuHomePhabricator

Adding globalblock-exempt to Grants in GlobalBlocking extension for OAuth use
Closed, ResolvedPublic

Description

My bot has the global IP block exempt flag. Editting through OAuth does not recognize this and keeps me blocked while in fact my bot account is exempted from them.

Error message:

WARNING: API error globalblocking-ipblocked-range: Your IP is in a range that has been globally blocked from editing
ERROR: Edit to page [[Moneda argentina]] failed:
globalblocking-ipblocked-range: Your IP is in a range that has been globally blocked from editing
[help:See https://es.wikipedia.org/w/api.php for API usage]

Confirmation:

Right are:

  • Bypass global blocks (globalblock-exempt)
  • Bypass automatic blocks of Tor exit nodes (torunblocked)

Details

Related Gerrit Patches:
mediawiki/extensions/GlobalBlocking : wmf/1.28.0-wmf.13Adding globalblock-exempt grant for OAuth
mediawiki/extensions/GlobalBlocking : masterAdding globalblock-exempt grant for OAuth

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2016, 7:01 PM

Thanks to @Tgr, I'll add this to rEGBL.

MarcoAurelio renamed this task from OAuth: add globalblock-exempt and ipblock-exempt to Grants to Adding globalblock-exempt to Grants in GlobalBlocking extension for OAuth use.Aug 6 2016, 8:38 PM
MarcoAurelio claimed this task.
MarcoAurelio triaged this task as Medium priority.

Change 303380 had a related patch set (by MarcoAurelio) published:
Adding globalblock-exempt grant for OAuth

https://gerrit.wikimedia.org/r/303380

Change 303380 merged by jenkins-bot:
Adding globalblock-exempt grant for OAuth

https://gerrit.wikimedia.org/r/303380

Tgr closed this task as Resolved.Aug 7 2016, 12:23 AM

@Tgr Thanks for merging the patch. Since some users are already complaining that they can't edit due to this, can we backport this fix to the current MediaWiki version now? Is it possible to do so?

Change 303490 had a related patch set uploaded (by Legoktm):
Adding globalblock-exempt grant for OAuth

https://gerrit.wikimedia.org/r/303490

Change 303490 merged by jenkins-bot:
Adding globalblock-exempt grant for OAuth

https://gerrit.wikimedia.org/r/303490

Mentioned in SAL [2016-08-07T20:49:30Z] <legoktm@tin> Synchronized php-1.28.0-wmf.13/extensions/GlobalBlocking/extension.json: Adding globalblock-exempt grant for OAuth - T142306 (duration: 00m 57s)

MarcoAurelio added subscribers: Udo_T, Legoktm.EditedAug 7 2016, 8:55 PM

@Udo_T: with regards to your comment at T142155#2531460, the patch I submitted was backported to our current MediaWiki version by @Legoktm a couple of minutes ago, so this should be live now (cf. Stashbot comment above). The right is now part of the 'basic' grant permissions, and appears on the grants list as well: https://meta.wikimedia.org/wiki/Special:ListGrants.

Udo_T added a comment.EditedAug 7 2016, 9:45 PM

@MarcoAurelio : Thanks a lot for the previous hint and the info now. I have just restartded my bot with OAuth and it works fine now in all languages. Best regards Udo T.